## sendip 1.2

=== Makefile ===
#configureable stuff
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man

#name of executeable
PROG=	sendip

CC=	gcc
CFLAGS=	-pipe -Wall -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings \
	-Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations \
	-Wnested-externs -Winline -I /usr/include/pcap -DCOLOR
#-g -pg
LDFLAGS=
#-pg
OBJS=sendip.o csum.o protocols.o

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

.PHONY: install clean

install:	$(PROG)
	install -c -m 755 $(PROG) $(BINDIR)/$(PROG)
	install -c -m 644 sendip.1 $(MANDIR)/man1/sendip.1

clean:
	rm -f *.o *~ $(PROG) core gmon.out

## sendip 2.1

=== Makefile ===
#configureable stuff
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man/man1
LIBDIR=$(PREFIX)/lib/sendip
#For most systems, this works
INSTALL=install
#For Solaris, you may need
#INSTALL=/usr/ucb/install

CFLAGS=	-fPIC -pipe -Wall -Wpointer-arith -Wwrite-strings \
			-Wstrict-prototypes -Wnested-externs -Winline -Werror -g \
			-DSENDIP_LIBS=\"$(LIBDIR)\"
#-Wcast-align causes problems on solaris, but not serious ones
LDFLAGS=	-g -rdynamic -lm
LDFLAGS_SOLARIS= -g -lsocket -lnsl -lm
LDFLAGS_LINUX= -g  -rdynamic -ldl -lm
LIBCFLAGS= -shared
CC=	gcc

PROGS= sendip
PROTOS= ipv4.so ipv6.so icmp.so tcp.so udp.so rip.so bgp.so ntp.so #dns.so
GLOBALOBJS= csum.o compact.o

all:	$(GLOBALOBJS) sendip $(PROTOS) sendip.1 sendip.spec

#there has to be a nice way to do this
sendip:	sendip.o	gnugetopt.o gnugetopt1.o compact.o
	sh -c "if [ `uname` = Linux ] ; then \
$(CC) -o $@ $(LDFLAGS_LINUX) $(CFLAGS) $+ ; \
elif [ `uname` = SunOS ] ; then \
$(CC) -o $@ $(LDFLAGS_SOLARIS) $(CFLAGS) $+ ;\
else \
$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $+ ; \
fi"

sendip.1:	./help2man $(PROGS) $(PROTOS) VERSION
			./help2man -n "Send arbitrary IP packets" -N >sendip.1

sendip.spec:	sendip.spec.in VERSION
			echo -n '%define ver ' >sendip.spec
			cat VERSION >>sendip.spec
			cat sendip.spec.in >>sendip.spec

%.so: %.c $(GLOBALOBJS)
			$(CC) -o $@ $(CFLAGS) $(LIBCFLAGS) $+

.PHONY:	clean install

clean:
			rm -f *.o *~ *.so $(PROTOS) $(PROGS) core gmon.out

veryclean:
			make clean
			rm -f sendip.spec sendip.1

install:		all
			[ -d $(LIBDIR) ] || mkdir -p $(LIBDIR)
			[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
			[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
			$(INSTALL) -m 755 $(PROGS) $(BINDIR)
			$(INSTALL) -m 644 sendip.1 $(MANDIR)
			$(INSTALL) -m 755 $(PROTOS) $(LIBDIR)

## sendip 2.5

=== debian/changelog ===
sendip (2.5-7) unstable; urgency=low

  * Fix FTBFS with GCC 5. (closes: #809595)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 08 Jan 2016 15:11:02 +0000

sendip (2.5-6) unstable; urgency=low

  * Fix FTBFS with ld --as-needed. Thanks to Ilya Barygin, this got lost
    in the switch to source format 3.0 (quilt). (closes: #677899)
  * Fix FTBFS with clang. Thanks to Alexander Ovchinnikov. (closes: #741735)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jun 2015 14:14:32 +0100

sendip (2.5-5) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * Bump debhelper compat level to 8.
  * Fix compilation under GNU/Hurd (patch from Barry deFreese).
    (closes: #674968)
  * Enable hardening flags.
  * Bump policy version to 3.9.3

 -- Jonathan McDowell <noodles@earth.li>  Thu, 07 Jun 2012 03:50:37 +0000

sendip (2.5-4) unstable; urgency=low

  * Fix FTBFS with ld --as-needed (LP: #832954). Thanks to Angel Abad
    for forwarding. (closes: #641425)
  * Lintian/updated policy inspired cleanups:
    * Add ${misc:Depends} to binary deps.
    * Add build-arch + build-indep targets.
    * Point to GPLv2, not bare GPL.
    * Drop leading "A" from package description.
    * Bump policy version to 3.9.2

 -- Jonathan McDowell <noodles@earth.li>  Sun, 27 Nov 2011 19:39:08 +0000

sendip (2.5-3) unstable; urgency=low

  * Fix compilation under GNU/kFreeBSD by correcting linker flags (patch
    from Cyril Brulebois). (closes: 559410)
  * Bump debhelper compat level to 7.
  * Clean up debian/copyright a bit.
  * Bump Standards-Version to 3.8.3:
    * Add Homepage field to control file.

 -- Jonathan McDowell <noodles@earth.li>  Sat, 26 Dec 2009 10:25:53 +0000

sendip (2.5-2) unstable; urgency=low

  * Fix gcc 4.0 compilation (patch from Andreas Jochens). (closes: #300776)
  * Add watch file.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 23 Mar 2005 17:05:07 +0000

sendip (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 13 Jun 2004 11:38:50 +0100

sendip (2.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed spelling mistake in man page. (closes: #182594)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 31 May 2003 10:47:10 +0100

sendip (2.3-2) unstable; urgency=low

  * Fix stupid prefix bug. (closes: #173979)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Dec 2002 23:20:06 +0000

sendip (2.3-1) unstable; urgency=low

  * New upstream release. (closes: #168879)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 11 Dec 2002 20:39:36 +0000

sendip (2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 12 Nov 2002 19:57:55 +0000

sendip (2.1-1) unstable; urgency=low

  * New upstream release. (closes: Bug#135070)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 27 Feb 2002 00:17:12 +0000

sendip (2.0-1) unstable; urgency=low

  * New upstream release.
  * Added contrib directory.
  * Updated standards-version.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 17 Feb 2002 20:15:03 +0000

sendip (1.5-1) unstable; urgency=low

  * New upstream release. (closes: Bug#94448)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 27 Apr 2001 21:35:12 +0100

sendip (1.4-1) unstable; urgency=low

  * New upstream release. (closes: Bug#81480)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 7 Jan 2001 18:04:15 +0000

sendip (1.2-1) unstable; urgency=low

  * Initial Debianization. (closes: Bug#78155)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 27 Nov 2000 14:45:50 +0000

=== debian/control ===
Source: sendip
Maintainer: Jonathan McDowell <noodles@earth.li>
Priority: optional
Section: net
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8)
Homepage: http://www.earth.li/projectpurple/progs/sendip.html

Package: sendip
Architecture: any
Priority: optional
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Commandline tool to allow sending arbitrary IP packets
 SendIP has a large number of command line options to specify the
 content of every header of a RIP, TCP, UDP, ICMP or raw IPv4 and IPv6
 packet. It also allows any data to be added to the packet. Checksums
 can be calculated automatically, but if you wish to send out wrong
 checksums, that is supported too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Set our build directory
b := $(shell pwd)/debian/sendip

arrange: arrange-stamp
arrange-stamp: install
	dh_testdir
	touch arrange-stamp

binary: binary-stamp
binary-stamp: binary-indep binary-arch
	dh_testdir
	touch binary-stamp

binary-arch: binary-arch-stamp
binary-arch-stamp: arrange
	dh_testdir
	dh_testroot
	dh_installdocs README TODO contrib/
	dh_installchangelogs CHANGES
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_strip
	dh_shlibdeps
	dh_link
	dh_compress
	dh_gencontrol
	dh_builddeb
	touch binary-arch-stamp

binary-indep: binary-indep-stamp
binary-indep-stamp: arrange
	dh_testdir
	touch binary-indep-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config
	dh_testdir
	$(MAKE) PREFIX=/usr LDLOADLIBS=-lc
	touch build-stamp

clean:
	dh_testdir
	if [ -e Makefile ]; then $(MAKE) -i veryclean; fi
	dh_clean arrange-stamp binary-stamp binary-arch-stamp binary-indep-stamp build-stamp config-stamp install-stamp

config: config-stamp
config-stamp:
	dh_testdir
	touch config-stamp

install: install-stamp
install-stamp: build
	dh_testdir
	install -d $(b)/usr/bin
	install -d $(b)/usr/lib/sendip
	install -d $(b)/usr/share/man/man1
	install -c -m 755 sendip $(b)/usr/bin
	install -c -m 755 *.so $(b)/usr/lib/sendip
	install -c -m 644 sendip.1 $(b)/usr/share/man/man1
	touch install-stamp

.PHONY: binary binary-arch binary-indep clean

## sendip 2.6

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,30 @@
 #configureable stuff
-PREFIX=/usr/local
-BINDIR=$(PREFIX)/bin
-MANDIR=$(PREFIX)/share/man/man1
-LIBDIR=$(PREFIX)/lib/sendip
+PREFIX ?= /usr/local
+BINDIR ?= $(PREFIX)/bin
+MANDIR ?= $(PREFIX)/share/man/man1
+LIBDIR ?= $(PREFIX)/lib/sendip
 #For most systems, this works
-INSTALL=install
+INSTALL ?= install
 #For Solaris, you may need
 #INSTALL=/usr/ucb/install
 
-CFLAGS=	-fPIC -pipe -Wall -Wpointer-arith -Wwrite-strings \
-			-Wstrict-prototypes -Wnested-externs -Winline -Werror -g \
+CFLAGS=	-fPIC -fsigned-char -pipe -Wall -Wpointer-arith -Wwrite-strings \
+			-Wstrict-prototypes -Wnested-externs -Winline -Werror -g -Wcast-align \
 			-DSENDIP_LIBS=\"$(LIBDIR)\"
 #-Wcast-align causes problems on solaris, but not serious ones
 LDFLAGS=	-g -rdynamic -lm
-LDFLAGS_SOLARIS= -g -lsocket -lnsl -lm
+#LDFLAGS_SOLARIS= -g -lsocket -lnsl -lm
+LDFLAGS_SOLARIS= -g -lsocket -lnsl -lm -ldl
 LDFLAGS_LINUX= -g  -rdynamic -ldl -lm
 LIBCFLAGS= -shared
 CC=	gcc
 
 PROGS= sendip
-PROTOS= ipv4.so ipv6.so icmp.so tcp.so udp.so rip.so bgp.so ntp.so #dns.so
+BASEPROTOS= ipv4.so ipv6.so
+IPPROTOS= icmp.so tcp.so udp.so
+UDPPROTOS= rip.so ripng.so ntp.so
+TCPPROTOS= bgp.so
+PROTOS= $(BASEPROTOS) $(IPPROTOS) $(UDPPROTOS) $(TCPPROTOS)
 GLOBALOBJS= csum.o compact.o
 
 all:	$(GLOBALOBJS) sendip $(PROTOS) sendip.1 sendip.spec

=== debian/changelog ===
sendip (2.6-1) unstable; urgency=low

  * New upstream release.
    * Update Clang patch.
    * Add patch to prevent GCC warning for RIP password code.
    * Update homepage to GitHub.
  * Use system help2man to aid reproducibility on build. Thanks to Chris Lamb.
    (closes: #862195)
  * Bump policy version to 4.5.0
    * Bump debhelper compat level to 12.
    * Set Rules-Requires-Root to no.
    * Add Vcs-* fields to debian/control pointing at Salsa.
    * Move to modern dh based rules file.
    * Put plugins into the correct multiarch lib dir.
  * Update watch file for GitHub.
  * More spelling fixes.
  * Update debian/copyright dates.
  * Remove priority/section headers from binary package in debian/control.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 02 Sep 2020 19:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Priority: optional
 Section: net
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8)
-Homepage: http://www.earth.li/projectpurple/progs/sendip.html
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), help2man
+Homepage: https://github.com/rickettm/SendIP
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/noodles/sendip
+Vcs-Git: https://salsa.debian.org/noodles/sendip.git
 
 Package: sendip
 Architecture: any
-Priority: optional
-Section: net
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Commandline tool to allow sending arbitrary IP packets
  SendIP has a large number of command line options to specify the

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

export LIBDIR=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/sendip
export PREFIX=/usr

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sendip-$1\.tar\.gz/ \
  https://github.com/rickettm/SendIP/tags .*/v?(\d\S+)\.tar\.gz
